# RPM Spec file for GGZ client libraries
%define name ggz-client-libs
%define version 0.0.6
%define release 2mdk
%define lib_name_orig libggz-client
%define lib_major 2
%define lib_name %{lib_name_orig}%{lib_major}

# 0.0.5 built libggzmod.so.0.0.0 and libggzcore.so.1.0.0;
# 0.0.6 builds 1.0.0 and 2.0.0.

# For SRPM only
Name: %{name}
Summary: GGZ Client Libraries
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libggz1-devel >= %{version}-%{release}

%description
The GGZ client libraries are necessary for running and/or developing a
GGZ Gaming Zone client.

# Main package
%package -n %{lib_name}
Summary:   GGZ client libraries
Group:     Games/Other
Provides:  %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
The GGZ client libraries are necessary for running or developing a GGZ
Gaming Zone client.

This package contains the shared libraries used by GGZ Gaming Zone
clients.

# Devel package
%package -n %{lib_name}-devel
Summary:   GGZ client development libraries
Group:     Games/Other
Provides:  %{lib_name_orig}-devel = %{version}-%{release}
Requires:  %{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
The GGZ client libraries are necessary for running or developing a GGZ
Gaming Zone client.

This package contains the libraries used for building GGZ Gaming Zone
clients.

%prep
%setup

%build
%configure
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
# WARNING - Does not test for a stupid BuildRoot
rm -rf $RPM_BUILD_ROOT

# After installing or uninstalling, run ldconfig
%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README HACKING TODO QuickStart.GGZ README.GGZ

%config(noreplace) /etc/ggz.modules

%{_libdir}/libggzcore.so.2
%{_libdir}/libggzcore.so.2.0.0
%{_libdir}/libggzmod.so.1
%{_libdir}/libggzmod.so.1.0.0

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/ggz-config
%{_includedir}/ggzcore.h
%{_libdir}/libggzcore.a
%{_libdir}/libggzcore.la
%{_libdir}/libggzcore.so

%{_includedir}/ggzmod.h
%{_libdir}/libggzmod.a
%{_libdir}/libggzmod.la
%{_libdir}/libggzmod.so

%{_mandir}/man3/ggzcore_h.3.*
%{_mandir}/man3/ggzmod_h.3.*
%{_mandir}/man5/ggz.modules.5.*
%{_mandir}/man6/ggz-config.6.*

%changelog
* Thu Mar 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (libggz-client2/libggz-client2-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5 release

* Sun Jun 17 2001 Rich Gade <rgade@users.sourceforge.net>
- Added manual pages

* Wed Mar 28 2001 Rich Gade <rgade@users.sourceforge.net>
- Corrected spec file to properly install libggzcore as shared

* Tue Mar 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
